# Retrieve_Matrix_Cell_Data

Get a single matrix element from the exemption matrix.

`GET /v2/matrix/{id}`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Exemption Matrix
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Exemption%20Matrix/Retrieve_Matrix_Cell_Data/

## Description

Get all the information for a specific exposure zone, exempt reason data set, from the exemption matrix.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` | integer | path | Yes | The id of the matrix object. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `Matrix` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `Matrix`

Matrix Model

| Property | Type | Required | Description |
|---|---|---|---|
| `api_taxcode` | string | No |  Example: `null`. |
| `exempt_reason` | object[] | No | The exempt reason for the matrix. |
| `exposure_zone` | ExposureZone | No |  |
| `help_content` | string | No |  Example: `null`. |
| `id` | integer | No | System Generated matrix id Example: `1`. |
| `matrix_tax_id` | integer | No |  Example: `1`. |
| `orig_template_file` | string | No |  Example: `null`. |
| `question` | string | No | The question is used for the exposure zone in the matrix. Example: `Purchase will be used by a prime contractor`. |
| `set_to_default` | boolean | No |  Example: `true`. |
| `static_file` | string | No |  Example: `null`. |
| `template_tag` | string | No |  Example: `USAMESTA119`. |
| `time_length` | string | No | The time length is how long until the certificate with the exposure zone expires. Example: `OVR`. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/matrix/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```